Subject: Re: [MPLS] LDP GR query

From: Ramesh Huliyar <[email-masked]>
Date: Tue, 17 Oct 2006 10:22:13 +0530 (IST)

Hello Lixing Wang,

What I understand from your problem statement is that, "if there is a change in the lsp (deleted, next hop different) established previous to the GR, it will delay the updation of lsp or basically convergence". If the next hop for the FEC changes, label advertised from the current next hop will be chosen (lable retention mode). Now to speed up the convergence in case of deleted FEC, I think we should have a mechanism in LDP control plane, where it can signal that the process of signalling FEC-to-Label is completed. (Similar to the one in BGP, where we can signal the end of UPDATE message)

Regards
Ramesh Huliyar

----- Original Message ----
From: "[email-masked]" <[email-masked]>
To: Yu Yi <[email-masked]>; Ramesh Huliyar <[email-masked]>; [email-masked]
Sent: Tuesday, 17 October, 2006 8:13:00 AM
Subject: Re: [MPLS] LDP GR query

空白

DIV {
MARGIN:0px;}

Hi Yu Yi,

When two LSR fall into GR flow,then some LSP will be updated only after 

GR,such as the lsp which should be deleted.

I think GR flow will delay the updating of LSP,so it's better don't perform 

GR flow in mistake.

Lixing Wang

  ----- Original Message ----- 

  From: 

  Yu Yi 

  To: [email-masked] ; Ramesh 

  Huliyar ; [email-masked] 

  Sent: Tuesday, October 17, 2006 9:33 AM

  Subject: RE: [MPLS] LDP GR query

    I think for this scenario RTA and RTB both consider the 

  peer restart and perform the GR process. So RTA will re-send all mapping and 

  RTB also do so. and then after receiving mapping all the LSP's stale flag are 

  cleared and a perfect GR is finished.

    The traffic won't be lost if the forwarding plane is 

  ok.  

  From: [email-masked] 

  [mailto:[email-masked]] 
Sent: 2006年10月17日 8:50 

  AM
To: Ramesh Huliyar; Yi, Yu (SUNP:1G11); [email-masked]
Subject: 

  Re: [MPLS] LDP GR query

  

  Hello,

  Then how about another 

  scenario?

  Another example that the LDP 

  session will be down when the LSR’s neighbor can’t send out it’s packet, including 

  hello packet or keepalive packet, if the control plane of it’s neighbor is 

  very busy or occurs some error ,then the LDP session will be down. In this case this two LSR will 

  conclude that it’s neighbor restart and the LSR will implement GR 

  flow.

  I mean the LDP protocol has some 

  problem.In this case the link is ok,so the BFD can't be 

  used.

  When they re-establish the 

  session,they will perform GR flow together.

   

  

    ----- Original Message ----- 

    From: Ramesh 

    Huliyar 

    To: Yu Yi ; [email-masked] ; [email-masked] 

    Sent: Monday, October 16, 2006 8:36 

PM

    Subject: Re: [MPLS] LDP GR query

    

    Hello,

I 

    feel that RTB LDP session will go down with RTA immidietly when the link 

    goes down. After the re-establishment of the LDP session, RTB will be 

    sending FT session TLV with Recovery Time 0. This will cause the RTA to 

    remove the stale FEC-to-label mapping. But until this happens, traffic will 

    be black holed.

To overcome this, other methods of identifying link 

    failures in RTA have to be employed, such as BFD, this will help RTA to use 

    alternate FEC-to-Label mapping, because link failure does not start LDP GR 

    but it will bring down LDP session in case of link level 

    LDP.

Regards
Ramesh Huliyar

    ----- 

    Original Message ----
From: Yu Yi <[email-masked]>
To: 

    [email-masked]; [email-masked]
Sent: Monday, 16 October, 

    2006 2:51:33 PM
Subject: RE: [MPLS] LDP GR query

    BODY {
MARGIN-TOP:25px;FONT-SIZE:10pt;MARGIN-LEFT:25px;COLOR:#000000;}
P.msoNormal {
MARGIN-TOP:0px;FONT-SIZE:10pt;MARGIN-LEFT:0px;COLOR:#ffffcc;}
LI.msoNormal {
MARGIN-TOP:0px;FONT-SIZE:10pt;MARGIN-LEFT:0px;COLOR:#ffffcc;}

      For your case it is fine. RTB should be in normal 

    case(normal session down)(no any GR flow) and delete all LSPs 

    which are established on the port.  After session up again RTA 

    will re-send the same label mapping which are sent before session down. But 

    as you know during this period the MPLS traffic are lost. So this is not a 

    complete GR case. 

      GR is applicable only if the forwarding plane 

    is fine.

    

    From: 

    [email-masked] [mailto:[email-masked]] 
Sent: 

    2006年10月16日 3:07 PM
To: [email-masked]
Subject: 

    [MPLS] LDP GR query

     

    Hi 

    I have query 

    related to LDP Graceful Restart. 

    RFC 3478 say

    When an LSR detects that its LDP session with a neighbor went 

    down,

       and the LSR knows that the neighbor is 

    capable of preserving its MPLS

       forwarding state across the restart (as was 

    indicated by the FT

       Session TLV in the Initialization message 

    received from the

       neighbor), the LSR retains the label-FEC 

    bindings received via that

       session (rather than discarding the 

    bindings), but marks them as

       "stale".

      RFC 3478 say that a router will implement GR flow when it detect 

    that its LDP session with a neighbor went down.

     But there are many cases which can cause the LDP 

    session went down ,and it’s neighbor don’t restart 

    actually.

    Consider this 

    scenario: 

     

    

    Suppose that the link between RTB and LAN-SWITCH is broken down, then 

    RTA will detects that its LDP session with RTB went down, then RTA will 

    implement GR flow, even the LDP session between RTA and RTB is 

    re-established after the link between RTB and LAN-SWITCH  

    is resumed. Because the FT TLV in the initialization message of RTB 

    don’t indicate that RTB whether reboot or not, so RTA is still implement GR 

    flow.

    Now RTA is in GR flow , but RTB isn’t in GR 

    flow.

    But what will happen if RTA is in GR flow , at the same time RTB 

    isn’t in GR flow? I think it will fall into 

    confusion.

    Another example that the LDP 

    session will be down is that the LSR’s neighbor can’t send out it’s packet, 

    including hello packet or keepalive packet, if the control plane of it’s 

    neighbor is very busy or occurs some error ,then the 

    LDP session will be down. In this case the LSR will 

    conclude that it’s neighbor restart and the LSR will implement GR 

    flow.

    _______________________________________________
mpls mailing 

    list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

__________________________________________________________
Yahoo! India Answers: Share what you know. Learn something new
http://in.answers.yahoo.com/

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls